Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateMessageSendAcknowledged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageSendAcknowledged

Enclosing class:
  TdApi

public static final class TdApi.UpdateMessageSendAcknowledged extends TdApi.Update
A request to send a message has reached the Telegram server. This doesn't mean that the message will be sent successfully or even that the send message request will be processed. This update will be sent only if the option "use_quick_ack" is set to true. This update may be sent multiple times for the same message.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
The chat identifier of the sent message.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
A temporary message identifier.

## Constructor Summary

Constructors
Constructor
Description
`UpdateMessageSendAcknowledged()`
A request to send a message has reached the Telegram server.
`UpdateMessageSendAcknowledged(long chatId, long messageId)`
A request to send a message has reached the Telegram server.
`UpdateMessageSendAcknowledged(DataInput input)`
A request to send a message has reached the Telegram server.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The chat identifier of the sent message.

### messageId

public long messageId
A temporary message identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateMessageSendAcknowledged

public UpdateMessageSendAcknowledged()
A request to send a message has reached the Telegram server. This doesn't mean that the message will be sent successfully or even that the send message request will be processed. This update will be sent only if the option "use_quick_ack" is set to true. This update may be sent multiple times for the same message.

### UpdateMessageSendAcknowledged

public UpdateMessageSendAcknowledged(long chatId, long messageId)
A request to send a message has reached the Telegram server. This doesn't mean that the message will be sent successfully or even that the send message request will be processed. This update will be sent only if the option "use_quick_ack" is set to true. This update may be sent multiple times for the same message.

Parameters:
  `chatId` - long The chat identifier of the sent message.
  `messageId` - long A temporary message identifier.

### UpdateMessageSendAcknowledged

public UpdateMessageSendAcknowledged(DataInput input) throws IOException
A request to send a message has reached the Telegram server. This doesn't mean that the message will be sent successfully or even that the send message request will be processed. This update will be sent only if the option "use_quick_ack" is set to true. This update may be sent multiple times for the same message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`